{% load staticfiles form_helpers banner i18n %}
<!DOCTYPE html>
<html>
<head>
<link rel="stylesheet" href="{% static 'bootstrap-3.3.4/css/bootstrap.css' %}">
<script src="{% static 'jquery-1.11.2/js/jquery.min.js' %}"></script>
<script src="{% static 'bootstrap-3.3.4/js/bootstrap.js' %}"></script>
<link rel="shortcut icon" type="image/x-pngicon" href="{% static 'berou/img/favicon.png' %}"/>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<title>Bérou</title>
</head>
<body>
<div id="wrap">
    <nav class="navbar navbar-default">
        <div class="container-fluid">
            <!-- Brand and toggle get grouped for better mobile display -->
            <div class="navbar-header">
                <a class="navbar-brand" href="{% url 'berou:home' %}"><img class="logo" alt="Bérou" src="{% static 'berou/img/berou.svg' %}"></a>
            </div>

            {% if user.is_authenticated %}
            <div class="navbar-collapse">
                {% banner request user %}
                <ul class="nav navbar-nav navbar-right">
                    <li class="dropdown">
                    <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false">{{ user }} <span class="caret"></span></a>
                    <ul class="dropdown-menu" role="menu">
                        <li><a href="{% url 'accounts:profile' pk=user.id %}">{% trans "Profile" %}</a></li>
                        <li><a href="{% url 'application_system:manage_my_apps' %}">{% trans "Manage my apps" %}</a></li>
                        <li role="presentation" class="divider"></li>
                        <li><a href="{% url 'accounts:logout_user' %}">{% trans "Logout" %}</a></li>
                        <li role="presentation" class="divider"></li>
                        <li><a href="{% url 'berou:about' %}">{% trans "About Bérou" %}</a></li>
                    </ul>
                    </li>
                </ul>
            </div><!-- /.navbar-collapse -->
            {% else %}
            <!-- TODO: use the actual login form -->
            <div class="navbar-form navbar-right">
                <form action="{% url 'accounts:login_user' %}?next={{ request.path }}" method="POST" class="form-inline">
                    {% csrf_token %}
                    {{ login_form.username|add_class:"form-control" }}
                    {{ login_form.password|add_class:"form-control" }}
                    <button type="submit" class="btn btn-default">Login</button>
                </form>
            </div>
            {% endif %}
        </div><!-- /.container-fluid -->
    </nav>
    <div class="container-fluid">
        <div class="row">
            {% for message in messages %}
            {% if message.level == DEFAULT_MESSAGE_LEVELS.ERROR %}
            <div class="alert alert-error" role="alert">{{ message }}</div>
            {% elif message.level == DEFAULT_MESSAGE_LEVELS.INFO %}
            <div class="alert alert-info" role="alert">{{ message }}</div>
            {% endif %}
            {% endfor %}
        </div>
        {% block content %}
        {% endblock content %}
    </div>
</div>
<footer id="footer" class="footer">
    <div class="container">
        <div class="row">
            <div class="col-md-6">
                <h3>Bérou</h3>
                <ul>
                    <li><a href="/">{% trans "Home" %}</a></li>
                    <li><a href="{% url 'application_system:manage_my_apps' %}">{% trans "Manage my apps" %}</a></li>
                    <li><a href="{% url 'berou:about' %}">{% trans "About Bérou" %}</a></li>
                    <li><a href="{% url 'accounts:logout_user' %}">{% trans "Logout" %}</a></li>
                </ul>
            </div>
            <div class="col-md-6">
                <h3>{% trans "Development" %}</h3>
                <ul>
                    <li><a href="http://docs.berou.fr/">{% trans "Documentation" %}</a></li>
                    <li><a href="https://gitlab.com/Pacodastre/Berou">{% trans "Gitlab" %}</a></li>
                    <li><a href="http://pypi.berou.fr/simple/">{% trans "Apps repository" %}</a></li>
                </ul>
            </div>
        </div>
    </div>
</footer>
</body>
</html>
